%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global ClassName Net_Curl

Name:           php-pear-Net-Curl
Version:        1.2.5
Release:        4%{?dist}
Summary:        OO interface to PHP's cURL extension

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Net_Curl
Source0:        http://pear.php.net/get/%{ClassName}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{ClassName}) = %{version}

%description
Provides an Object-Oriented interface to PHP's curl extension.


%prep
%setup -qc
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{ClassName}-%{version}
# Package is V2
mv ../package.xml %{name}.xml


%build
cd %{ClassName}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{ClassName}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null ||:

%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{ClassName} >/dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc %{ClassName}-%{version}/docdir/%{ClassName}/*
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Net
%{pear_phpdir}/Net/Curl.php


%changelog
* Sun Aug 15 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.2.5-4
- rename Net_URL to php-pear-Net-URL.xml
- set date.timezone during build

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Christopher Stone <chris.stone@gmail.com> 1.2.5-1
- Upstream sync
- Change license to BSD
- Add empty %%build section

* Thu Sep 07 2006 Christopher Stone <chris.stone@gmail.com> 1.2.3-2
- Add LICENSE file to %%doc

* Fri Jun 30 2006 Christopher Stone <chris.stone@gmail.com> 1.2.3-1
- Initial Release
